{
    "function": "set_components",
    "components": {
      "minecraft:custom_data": {
        "IsSpear": true,
        "SpearType": "copper_spear",
        "or_no_edit": true,
        "or_edited_item": true,
        "or_is_tool": true,
        "or_can_cause_bleeding": true,
        "or_tool_material": "copper",
        "or_tool_type": "spear",
        "or_tool_type_specific": "copper_spear",
        "or_hold_use_interaction": true
      },
    "enchantments": {
      "overly_realistic:or_internal_tool/or_internal_tool_spear": 1,
      "overly_realistic:or_internal_tool/or_internal_tool_general": 1
    },
    "enchantment_glint_override": false,
    "rarity": "common",
    "tooltip_display": {
      "hidden_components": [
        "enchantments"
      ]
    },
      "minecraft:consumable": {
        "consume_seconds": 99999,
        "animation": "trident",
        "sound": "minecraft:intentionally_empty",
        "has_consume_particles": false
      },
      "use_effects": {
        "can_sprint": true,
        "speed_multiplier": 0.2
      },
      "minecraft:attribute_modifiers": [
        {
          "type": "minecraft:attack_damage",
          "amount": 3.25,
          "id": "minecraft:base_attack_damage",
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:attack_speed",
          "amount": -2.9,
          "id": "minecraft:base_attack_speed",
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:attack_speed",
          "amount": 0,
          "id": "overlyrealistic:base_thrown_damage",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "translate": "attribute.name.overlyrealistic.thrown_damage",
              "fallback": " %s Thrown Damage",
              "color": "dark_green",
              "with": [
                {
                  "text": "15",
                  "color": "dark_green"
                }
              ]
            }
          }
        }
      ],
      "max_damage": 189,
      "damage": 0,
      "minecraft:food": {
        "nutrition": 0,
        "saturation": 0,
        "can_always_eat": true
      },
      "item_name": {
        "translate": "item.minecraft.copper_spear",
        "fallback": "Copper Spear",
        "color": "white"
      }
    }
}